新升级的wordpress 3.5无法升级主题和插件?有谁知道怎么搞定吗?

新升级的wordpress 3.5无法升级主题和插件?有谁知道怎么搞定吗?

新升级的wordpress 3.5无法升级主题或插件,已经有段时间了,官方也没新的更新包出来。例如在升级Twenty Ten主题时出错:

在升级 Twenty Ten 时出错:下载失败。 文件流的目标目录不存在或不可写。

即便是在wp-config.php中设置了WP_TEMP_DIR参数也会出另一个错误无法安装这个包。

PCLZIP_ERR_MISSING_FILE (-4) : Missing archive file ‘/srv/www/vhosts/********/httpdocs/wp-content/upgrade/some-plugins.tmp

有谁知道怎么搞定吗?

1条评论

是因为权限原因. themes 是主题目录,我设置的权限如下:
drwxrwxr-x 8 www www 4096 Apr 16 22:27 themes 。同时 文件配置如下
:define(‘WP_TEMP_DIR’, ABSPATH.’wp-content’);
目前我可以安装主题了

发表评论

电子邮件地址不会被公开。 必填项已用*标注

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据